Package org.jfree.layouting.input.style.keys.table

## Class TableStyleKeys

- java.lang.Object
- - org.jfree.layouting.input.style.keys.table.TableStyleKeys

-     public class TableStyleKeys
      extends java.lang.Object

  Creation-Date: 23.06.2006, 15:20:03
  Author:
    Thomas Morgner

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static StyleKey` | `BORDER_COLLAPSE` | Pair of length; No percentages; Inheritable
    `static StyleKey` | `BORDER_SPACING` | Pair of length; No percentages; Inheritable
    `static StyleKey` | `CAPTION_SIDE` | top or bottom.
    `static StyleKey` | `COL_SPAN` |
    `static StyleKey` | `EMPTY_CELLS` | Enumeration: Show, hide, inherit
    `static StyleKey` | `ROW_SPAN` |
    `static StyleKey` | `TABLE_LAYOUT` | Auto or fixed.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### EMPTY_CELLS

          public static final StyleKey EMPTY_CELLS

      Enumeration: Show, hide, inherit

    - #### BORDER_SPACING

          public static final StyleKey BORDER_SPACING

      Pair of length; No percentages; Inheritable

    - #### BORDER_COLLAPSE

          public static final StyleKey BORDER_COLLAPSE

      Pair of length; No percentages; Inheritable

    - #### TABLE_LAYOUT

          public static final StyleKey TABLE_LAYOUT

      Auto or fixed.

    - #### CAPTION_SIDE

          public static final StyleKey CAPTION_SIDE

      top or bottom.

    - #### ROW_SPAN

          public static final StyleKey ROW_SPAN

    - #### COL_SPAN

          public static final StyleKey COL_SPAN